routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/exceltopdf', 'ExcelController@index')->name('exceltopdf');
Route::get('/excel', 'ExcelController@getXlsx')->name('xlsx');

Route::get('/register', function(){return redirect('/');})->name('register');
Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');

// Startpage
Route::get('/', function () { return view('welcome'); })->name('welcome');
Route::get('/impressum', function(){ return view('main.impressum'); })->name('main.impressum');
Route::get('/agb', function(){ return view('main.agb'); })->name('main.agb');
Route::get('/datenschutz', function(){ return view('main.datenschutz'); })->name('main.datenschutz');
Route::get('/faq', function(){ return view('main.faq'); })->name('main.faq');
Route::get('/versand-und-zahlungsbedingungen', function(){ return view('main.versand-und-zahlungsbedingungen'); })->name('main.versand-und-zahlungsbedingungen');
Route::get('/widerrufsrecht', function(){ return view('main.widerrufsrecht'); })->name('main.widerrufsrecht');
Route::get('/zahlungsarten', function(){ return view('main.zahlungsarten'); })->name('main.zahlungsarten');
Route::get('/newsletter-anmelden', function(){ return view('main.newsletter.anmelden'); })->name('main.newsletter.anmelden');
Route::get('/autogrammkarten', function(){ return view('main.autogrammkarten'); })->name('main.autogrammkarten');
Route::get('/ernaehrungsportal', function(){ return view('main.ernaehrungsportal'); })->name('main.ernaehrungsportal');
Route::get('/fussballtraining', function(){ return view('main.fussballtraining'); })->name('main.fussballtraining');
Route::get('/verletzungsportal', function(){ return view('main.verletzungsportal'); })->name('main.verletzungsportal');
Route::get('/preise', function(){ return view('main.preise'); })->name('main.preise');
Route::get('/telefonliste', function(){ return view('main.telefonliste'); })->name('main.telefonliste');
Route::get('/rueckennummern', function(){ return view('main.rueckennummern'); })->name('main.rueckennummern');
Route::get('/strafen-und-mannschaftskasse', function(){ return view('main.strafen-und-mannschaftskasse'); })->name('main.strafen-und-mannschaftskasse');

//Kontakt
Route::get('/kontakt', function(){ return view('main.kontakt.index'); })->name('main.kontakt.index');
Route::post('/kontakt', 'ContactController@send' )->name('main.kontakt.send');

// BLOG
Route::post('/fussball-news/suchen', 'BlogController@searchRedirect')->name('blog.search.redirect');
Route::get('/fussball-news/suchen/{search?}', 'BlogController@search')->name('blog.search');
Route::get('/fussball-news/{category?}/{subcategory?}', 'BlogController@index')->name('blog.index');
Route::get('/fussball-news/{category}/{subcategory}/{slug}-{id}', 'BlogController@show')->name('blog.show')->where('slug', '.*(?=-)');

// TRAININGSÜBUNGEN
Route::post('/trainingsuebungen/suchen', 'WorkoutController@searchRedirect')->name('workout.search.redirect');
Route::get('/trainingsuebungen/suchen/{search?}', 'WorkoutController@search')->name('workout.search');
Route::get('/trainingsuebungen/{category?}/{subcategory?}', 'WorkoutController@index')->name('workout.index');
Route::get('/trainingsuebungen/{category}/{subcategory}/{slug}-{id}', 'WorkoutController@show')->name('workout.show')->where('slug', '.*(?=-)');

// GAMEFIELD-PLANER
Route::get('/spielfeldplaner', 'GamefieldController@index')->name('gamefield');


//Search Engine
Route::get('/vereinsverzeichnis/', 'SearchController@index')->name('search.index');
Route::get('/vereinsverzeichnis/search/{text?}', 'SearchController@search')->name('search.search');
Route::get('/vereinsverzeichnis/verein/{club}', 'ClubController@index')->name('club.show');
Route::get('/vereinsverzeichnis/verband/{association}', 'AssociationController@index')->name('association.show');

//Submissions
Route::get('/vereinsverzeichnis/submissions/create', 'SubmissionController@create')->name('submissions.create');
Route::get('/vereinsverzeichnis/submissions/{club}/edit', 'SubmissionController@edit')->name('submissions.edit');
Route::post('/vereinsverzeichnis/submissions/{club}', 'SubmissionController@update')->name('submissions.update');
Route::post('/vereinsverzeichnis/submissions', 'SubmissionController@store')->name('submissions.store');


// AUTH
Route::group(['middleware' => 'auth'],function() {

    // BACKEND
    Route::group(['middleware' => 'isAdmin', 'namespace' => 'Backend', 'prefix' => 'backend', 'as' => 'backend.'], function () {

        // DASHBOARD
        Route::get('/', function () {
            return redirect()->route('backend.dashboard.index');
        })->name('home');

        Route::resource('/dashboard', 'DashboardController');

        // ADMINISTRATION
        Route::group(['namespace' => 'Admin', 'as' => 'admin.', 'prefix' => 'admin'], function () {
            Route::group(['namespace' => 'Settings', 'as' => 'settings.', 'prefix' => 'einstellungen'], function () {
                Route::group(['namespace' => 'System', 'as' => 'system.', 'prefix' => 'system'], function () {
                    Route::get('/newsticker', 'NewsTickerController@edit')->name('newsticker.edit');
                    Route::post('/newsticker', 'NewsTickerController@update')->name('newsticker.update');
                    Route::get('blog-hintergrund/{setting}', 'SettingController@edit')->name('blog-background.edit');
                    Route::put('blog-hintergrund/{setting}', 'SettingController@update')->name('blog-background.update');
                });

                Route::group(['namespace' => 'Functions', 'as' => 'functions.', 'prefix' => 'funktionen'], function () {
                    Route::group(['namespace' => 'Blog', 'as' => 'blog.', 'prefix' => 'blog'], function () {
                        Route::resource('/categories', 'CategoryController');
                        Route::resource('/subcategories', 'SubCategoryController');
                    });
                    Route::group(['namespace' => 'Workout', 'as' => 'workout.', 'prefix' => 'trainingsuebungen'], function () {
                        Route::resource('/categories', 'CategoryController');
                        Route::resource('/subcategories', 'SubCategoryController');
                    });
                });
            });


            Route::resource('/submissions', 'SubmissionController');
            Route::resource('/clubs', 'ClubController');
            Route::resource('/associations', 'AssociationController');


            Route::resource('/benutzer', 'UserController',['parameters' => ['benutzer' => 'user'], 'names' => 'users']);
        });

        // BLOG
        Route::group(['as' => 'blog.', 'prefix' => 'blog'], function () {
            Route::resource('/posts', 'BlogController',['except' => ['show','index','create']]);
            Route::get('/posts/{cat?}', 'BlogController@index')->name('posts.index');
            Route::get('/posts/create/{cat?}', 'BlogController@create')->name('posts.create');
        });

        // TRAININGSÜBUNGEN
        Route::group(['as' => 'workout.', 'prefix' => 'trainingsuebungen'], function () {
            Route::resource('/posts', 'WorkoutController',['except' => ['show','index','create']]);
            Route::get('/posts/{cat?}', 'WorkoutController@index')->name('posts.index');
            Route::get('/posts/create/{cat?}', 'WorkoutController@create')->name('posts.create');
        });




    });

});

app/Http/Controllers/Backend/Admin/AssociationController.php
<?php

namespace App\Http\Controllers\Backend\Admin;

use App\Models\Association;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AssociationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->input('search') !== null )
            $associations = Association::Where('title','like','%'.$request->input('search').'%')->orderBy('title');
        else
            $associations = Association::orderBy('title');

        $associations = $associations->paginate('15');

        return view('backend.admin.associations.index',['associations' => $associations]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $associations = Association::all();

        return view('backend.admin.associations.create',['associations' => $associations]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'parent_id' => 'nullable|integer|exists:associations,id'
        ]);

        $association = new Association();

        $association->title = $request->input('title');
        $association->parent_id = $request->input('parent_id');

        $association->save();

        return redirect()->route('backend.admin.associations.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Association  $association
     * @return \Illuminate\Http\Response
     */
    public function show(Association $association)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Association  $association
     * @return \Illuminate\Http\Response
     */
    public function edit(Association $association)
    {
        $associations = Association::all();

        return view('backend.admin.associations.edit',['association' => $association, 'associations' => $associations]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Association  $association
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Association $association)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'parent_id' => 'nullable|integer|exists:associations,id'
        ]);

        $association->title = $request->input('title');
        $association->parent_id = $request->input('parent_id');

        $association->save();

        return redirect()->route('backend.admin.associations.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Association  $association
     * @return \Illuminate\Http\Response
     */
    public function destroy(Association $association)
    {
        $association->delete();
        return redirect()->route('backend.admin.associations.index');
    }
}

app/Http/Controllers/Backend/Admin/ClubController.php
<?php

namespace App\Http\Controllers\Backend\Admin;

use App\Models\Association;
use App\Models\Club;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ClubController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->input('search') !== null )
            $clubs = Club::Where('title','like','%'.$request->input('search').'%')->orderBy('title');
        else
            $clubs = Club::orderBy('title');

        $clubs = $clubs->paginate('15');

        return view('backend.admin.clubs.index',['clubs' => $clubs]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $associations = Association::all();

        return view('backend.admin.clubs.create',['associations' => $associations]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'street' => 'nullable|string|max:255',
            'zip' => 'nullable|string|max:6',
            'city' => 'nullable|string|max:255',
            'phone' => 'nullable|string|max:15',
            'fax' => 'nullable|string|max:15',
            'email' => 'nullable|string|max:100',
            'uri' => 'nullable|string|max:255',
            'stadium' => 'nullable|string|max:255',
            'association_id' => 'nullable|integer|exists:associations,id',
            'facebook' => 'nullable|string|max:255',
            'twitter' => 'nullable|string|max:255',
            'youtube' => 'nullable|string|max:255',
            'instagram' => 'nullable|string|max:255',
            'description' => 'nullable|string',
        ]);

        $club = new Club();

        $club->title = $request->input('title');
        $club->street = $request->input('street');
        $club->zip = $request->input('zip');
        $club->city = $request->input('city');
        $club->phone = $request->input('phone');
        $club->fax = $request->input('fax');
        $club->email = $request->input('email');
        $club->uri = $request->input('uri');
        $club->stadium = $request->input('stadium');
        $club->association_id = $request->input('association_id');
        $club->facebook = $request->input('facebook');
        $club->twitter = $request->input('twitter');
        $club->youtube = $request->input('youtube');
        $club->instagram = $request->input('instagram');
        $club->description = $request->input('description');

        $club->save();

        return redirect()->route('backend.admin.clubs.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Club  $club
     * @return \Illuminate\Http\Response
     */
    public function show(Club $club)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Club  $club
     * @return \Illuminate\Http\Response
     */
    public function edit(Club $club)
    {
        $associations = Association::all();

        return view('backend.admin.clubs.edit',['club' => $club, 'associations' => $associations]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Club  $club
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Club $club)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'street' => 'nullable|string|max:255',
            'zip' => 'nullable|string|max:6',
            'city' => 'nullable|string|max:255',
            'phone' => 'nullable|string|max:15',
            'fax' => 'nullable|string|max:15',
            'email' => 'nullable|string|max:100',
            'uri' => 'nullable|string|max:255',
            'stadium' => 'nullable|string|max:255',
            'association_id' => 'nullable|integer|exists:associations,id',
            'facebook' => 'nullable|string|max:255',
            'twitter' => 'nullable|string|max:255',
            'youtube' => 'nullable|string|max:255',
            'instagram' => 'nullable|string|max:255',
            'description' => 'nullable|string',
        ]);

        $club->title = $request->input('title');
        $club->street = $request->input('street');
        $club->zip = $request->input('zip');
        $club->city = $request->input('city');
        $club->phone = $request->input('phone');
        $club->fax = $request->input('fax');
        $club->email = $request->input('email');
        $club->uri = $request->input('uri');
        $club->stadium = $request->input('stadium');
        $club->association_id = $request->input('association_id');
        $club->facebook = $request->input('facebook');
        $club->twitter = $request->input('twitter');
        $club->youtube = $request->input('youtube');
        $club->instagram = $request->input('instagram');
        $club->description = $request->input('description');

        $club->save();

        return redirect()->route('backend.admin.clubs.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Club  $club
     * @return \Illuminate\Http\Response
     */
    public function destroy(Club $club)
    {
        $club->delete();
        return redirect()->route('backend.admin.clubs.index');
    }
}

app/Http/Controllers/Backend/DashboardController.php
<?php

namespace App\Http\Controllers\Backend;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    public function index(){
        return view('backend.dashboard.index');
    }
}

resources/views/layouts/backend/navigation.blade.php
<!-- #HEADER -->
<header id="header">
    <div id="logo-group">

        <!-- PLACE YOUR LOGO HERE -->
        <span id="logo"> <img src="{{asset('vendor/backend/img/logo.png')}}" alt="SmartAdmin"> </span>
        <!-- END LOGO PLACEHOLDER -->

    </div>

    <!-- #TOGGLE LAYOUT BUTTONS -->
    <!-- pulled right: nav area -->
    <div class="pull-right">

        <!-- collapse menu button -->
        <div id="hide-menu" class="btn-header pull-right">
            <span> <a href="javascript:void(0);" data-action="toggleMenu" title="Collapse Menu"><i class="fa fa-reorder"></i></a> </span>
        </div>
        <!-- end collapse menu -->

        <!-- #MOBILE -->
        <!-- Top menu profile link : this shows only when top menu is active -->
        <ul id="mobile-profile-img" class="header-dropdown-list hidden-xs padding-5">
            <li class="">
                <a href="#" class="dropdown-toggle no-margin userdropdown" data-toggle="dropdown">
                    <img src="{{asset('vendor/backend/img/avatars/sunny.png')}}" alt="{{Auth::User()->name}}" class="online" />
                </a>
                <ul class="dropdown-menu pull-right">
                    <li>
                        <a href="javascript:void(0);" class="padding-10 padding-top-0 padding-bottom-0"><i class="fa fa-cog"></i> Setting</a>
                    </li>
                    <li class="divider"></li>
                    <li>
                        <a href="profile.html" class="padding-10 padding-top-0 padding-bottom-0"> <i class="fa fa-user"></i> <u>P</u>rofile</a>
                    </li>
                    <li class="divider"></li>
                    <li>
                        <a href="javascript:void(0);" class="padding-10 padding-top-0 padding-bottom-0" data-action="toggleShortcut"><i class="fa fa-arrow-down"></i> <u>S</u>hortcut</a>
                    </li>
                    <li class="divider"></li>
                    <li>
                        <a href="javascript:void(0);" class="padding-10 padding-top-0 padding-bottom-0" data-action="launchFullscreen"><i class="fa fa-arrows-alt"></i> Full <u>S</u>creen</a>
                    </li>
                    <li class="divider"></li>
                    <li>
                        <a href="login.html" class="padding-10 padding-top-5 padding-bottom-5" data-action="userLogout"><i class="fa fa-sign-out fa-lg"></i> <strong><u>L</u>ogout</strong></a>
                    </li>
                </ul>
            </li>
        </ul>

        <!-- logout button -->
        <div id="logout" class="btn-header transparent pull-right">
            <span>
                <a href="{{ route('logout') }}"onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i class="fa fa-sign-out"></i></a>

                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                    {{ csrf_field() }}
                </form>
            </span>
        </div>
        <!-- end logout button -->

        <!-- fullscreen button -->
        <div id="fullscreen" class="btn-header transparent pull-right">
            <span> <a href="javascript:void(0);" data-action="launchFullscreen" title="Full Screen"><i class="fa fa-arrows-alt"></i></a> </span>
        </div>
        <!-- end fullscreen button -->

    </div>
    <!-- end pulled right: nav area -->

</header>
<!-- END HEADER -->

<!-- #NAVIGATION -->
<!-- Left panel : Navigation area -->
<!-- Note: This width of the aside area can be adjusted through LESS variables -->
<aside id="left-panel">

    <!-- User info -->
    <div class="login-info">
				<span> <!-- User image size is adjusted inside CSS, it should stay as it -->

					<a href="javascript:void(0);" id="show-shortcut" data-action="toggleShortcut">
						<img src="{{asset('vendor/backend/img/avatars/sunny.png')}}" alt="me" class="online" />
						<span>
							{{Auth::User()->username}}
						</span>
						<i class="fa fa-angle-down"></i>
					</a>

				</span>
    </div>
    <!-- end user info -->

    <nav>

        <ul>

            @if(auth::user()->isAdmin())
                <li>
                    <a href="#" title="Administration"><i class="fa fa-lg fa-fw fa-home"></i> <span class="menu-item-parent">Administration</span></a>
                    <ul>

                        <li>
                            <a href="#" title="Einstellungen"><span class="menu-item-parent">Einstellungen</span></a>
                            <ul>
                                <li>
                                    <a href="#" title="System"><span class="menu-item-parent">System</span></a>
                                    <ul>
                                        <li class="{{Navigation::isActiveRoute(['backend.admin.settings.system.newsticker'],true)}}">
                                            <a href="{{route('backend.admin.settings.system.newsticker.edit')}}" title="Blog"><span class="menu-item-parent">Newsticker</span></a>
                                        </li>
                                        <li class="{{Navigation::isActiveRoute(['backend.admin.settings.system.blog-background'],true)}}">
                                            <a href="{{route('backend.admin.settings.system.blog-background.edit',1)}}" title="Blog-Hintergund"><span class="menu-item-parent">Blog-Hintergund</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li>
                                    <a href="#" title="Funktionen"><span class="menu-item-parent">Funktionen</span></a>
                                    <ul>

                                        <li>
                                            <a href="#" title="Blog"><span class="menu-item-parent">Blog</span></a>
                                            <ul>
                                                <li class="{{Navigation::isActiveRoute(['backend.admin.settings.functions.blog.categories'],true)}}">
                                                    <a href="{{route('backend.admin.settings.functions.blog.categories.index')}}" title="Blog"><span class="menu-item-parent">Kategorien</span></a>
                                                </li>
                                                <li class="{{Navigation::isActiveRoute(['backend.admin.settings.functions.blog.subcategories'],true)}}">
                                                    <a href="{{route('backend.admin.settings.functions.blog.subcategories.index')}}" title="Blog"><span class="menu-item-parent">Unterkategorien</span></a>
                                                </li>

                                            </ul>
                                        </li>

                                        <li>
                                            <a href="#" title="Trainingsübungen"><span class="menu-item-parent">Trainingsübungen</span></a>
                                            <ul>
                                                <li class="{{Navigation::isActiveRoute(['backend.admin.settings.functions.workout.categories'],true)}}">
                                                    <a href="{{route('backend.admin.settings.functions.workout.categories.index')}}" title="Blog"><span class="menu-item-parent">Kategorien</span></a>
                                                </li>
                                                <li class="{{Navigation::isActiveRoute(['backend.admin.settings.functions.workout.subcategories'],true)}}">
                                                    <a href="{{route('backend.admin.settings.functions.workout.subcategories.index')}}" title="Blog"><span class="menu-item-parent">Unterkategorien</span></a>
                                                </li>

                                            </ul>
                                        </li>

                                    </ul>
                                </li>
                            </ul>
                        </li>





                        <li class="{{Navigation::isActiveRoute(['backend.admin.users'],true)}}">
                            <a href="{{route('backend.admin.users.index')}}" title="Benutzer"><span class="menu-item-parent">Benutzer</span></a>
                        </li>

                        <li>
                            <a href="#" title="Vereinsverzeichnis"><span class="menu-item-parent">Vereinsverzeichnis</span></a>
                            <ul>
                                <li class="{{Navigation::isActiveRoute(['backend.admin.submissions'],true)}}">
                                    <a href="{{route('backend.admin.submissions.index')}}">Vorschläge</a>
                                </li>
                                <li class="{{Navigation::isActiveRoute(['backend.admin.clubs'],true)}}">
                                    <a href="{{route('backend.admin.clubs.index')}}">Vereine</a>
                                </li>
                                <li class="{{Navigation::isActiveRoute(['backend.admin.associations'],true)}}">
                                    <a href="{{route('backend.admin.associations.index')}}">Verbände</a>
                                </li>
                            </ul>
                        </li>


                    </ul>
                </li>

            @endif
            <li>
                <a href="#" title="Blog"><i class="fa fa-lg fa-fw fa-home"></i> <span class="menu-item-parent">Blog</span></a>
                <ul>

                    <li>
                        <a href="#" title="Beiträge"><i class="fa fa-lg fa-fw fa-home"></i> <span class="menu-item-parent">Beiträge</span></a>
                        <ul>
                            <li class="{{Navigation::isActiveRoute(['backend.blog.posts.index']).Navigation::isActiveRoute(['backend.blog.posts.create', 'backend.blog.posts.edit'],true)}}">
                                <a href="{{route('backend.blog.posts.index')}}" title="Alles"><span class="menu-item-parent">Alles</span></a>
                            </li>

                            @foreach($blogCategories as $cat)

                                <li>
                                    <a href="#" title="{{$cat->name}}"><span class="menu-item-parent">{{$cat->name}}@if($cat->unactive_posts_count > 0) <span class="badge">{{$cat->unactive_posts_count}}</span>@endif</span></a>
                                    <ul>
                                        @foreach($cat->childs->sortBy('ordering') as $subCat)
                                            <li class="{{Navigation::isActiveRoute(['backend.blog.posts.index' => [$subCat->id]])}}">
                                                <a href="{{route('backend.blog.posts.index',$subCat->id)}}" title="{{$subCat->name}}"><span class="menu-item-parent">{{$subCat->name}}@if($subCat->unactive_posts_count > 0) <span class="badge">{{$subCat->unactive_posts_count}}</span>@endif</span></a>
                                            </li>
                                        @endforeach
                                    </ul>
                                </li>

                            @endforeach

                        </ul>
                    </li>

                </ul>
            </li>

                <li>
                    <a href="#" title="Blog"><i class="fa fa-lg fa-fw fa-home"></i> <span class="menu-item-parent">Trainingsübungen</span></a>
                    <ul>

                        <li>
                            <a href="#" title="Beiträge"><i class="fa fa-lg fa-fw fa-home"></i> <span class="menu-item-parent">Beiträge</span></a>
                            <ul>
                                <li class="{{Navigation::isActiveRoute(['backend.workout.posts.index']).Navigation::isActiveRoute(['backend.workout.posts.create', 'backend.workout.posts.edit'],true)}}">
                                    <a href="{{route('backend.workout.posts.index')}}" title="Alles"><span class="menu-item-parent">Alles</span></a>
                                </li>

                                @foreach($workoutCategories as $cat)

                                    <li>
                                        <a href="#" title="{{$cat->name}}"><span class="menu-item-parent">{{$cat->name}}@if($cat->unactive_posts_count > 0) <span class="badge">{{$cat->unactive_posts_count}}</span>@endif</span></a>
                                        <ul>
                                            @foreach($cat->childs->sortBy('ordering') as $subCat)
                                                <li class="{{Navigation::isActiveRoute(['backend.workout.posts.index' => [$subCat->id]])}}">
                                                    <a href="{{route('backend.workout.posts.index',$subCat->id)}}" title="{{$subCat->name}}"><span class="menu-item-parent">{{$subCat->name}}@if($subCat->unactive_posts_count > 0) <span class="badge">{{$subCat->unactive_posts_count}}</span>@endif</span></a>
                                                </li>
                                            @endforeach
                                        </ul>
                                    </li>

                                @endforeach

                            </ul>
                        </li>

                    </ul>
                </li>


        </ul>
    </nav>


    <span class="minifyme" data-action="minifyMenu">
				<i class="fa fa-arrow-circle-left hit"></i>
			</span>

</aside>
<!-- END NAVIGATION -->